Bug 485275 - [RV730] Horrible 2D performance
[RV730] Horrible 2D performance
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-12 13:06 EST by Remy Maucherat
Modified: 2009-12-18 02:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:54:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/Xorg.0.log with no xorg.conf (159.24 KB, text/plain)
2009-02-12 22:27 EST, Remy Maucherat
no flags Details
Xorg.0.log with no xorg.conf file (81.89 KB, text/plain)
2009-02-28 07:34 EST, Itzik Meirson
no flags Details

  None (edit)
Description Remy Maucherat 2009-02-12 13:06:38 EST
Description of problem:
2D performance is so low the system is almost unusable. No such problem with a rather similar RV770 card.

02:00.0 VGA compatible controller [0300]: ATI Technologies Inc RV730 PRO [Radeon HD 4650] [1002:9498]

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.10.0-1.fc10

How reproducible:
Always

Steps to Reproduce:
1. Start X
2.
3.
  
Actual results:


Expected results:
Performance should be comparable to RV770.

Additional info:
Comment 1 Matěj Cepl 2009-02-12 15:29:24 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Remy Maucherat 2009-02-12 22:27:02 EST
Created attachment 331792 [details]
/var/log/Xorg.0.log with no xorg.conf

Add the Xorg log, with no xorg.conf used.
Comment 3 Matěj Cepl 2009-02-13 09:44:22 EST
Well, we told you so ;-)
> (WW) RADEON(0): R600 support is mostly incomplete and very experimental

Passing to developers.
Comment 4 Remy Maucherat 2009-02-26 10:18:15 EST
Any update on this issue ?

Looking carefully at the log, I noticed DRI and AIGLX were enabled (with a software rasterizer which does not even work properly - trying to enable compiz results in a white screen that is very difficult to get out of), but disabling them did not help performance.
Comment 5 Itzik Meirson 2009-02-28 07:34:26 EST
Created attachment 333600 [details]
Xorg.0.log with no xorg.conf file
Comment 6 Itzik Meirson 2009-02-28 07:36:53 EST
I have a somewhat related issue with the ATI RADEON HD 4650 1GB PciE.
I have just installed a new FC10 x86_64 from the installation DVD.
The first screen was displayed with X.
I have requested in it the first option to upgrade or install a new system.
The next screen was a tty screen regarding media verification which I skipped.
the next step was that anaconda has been run.
At the end of the anaconda run a message "X failed to start" has been displayed.
From this point and on the installation continued in text mode.
The final login mode was text mode (init level 3).
After installation completion a full system update has been done using yum.

Next step was to test X. For this I have issued the startx command.
The startx command started to execute, w white screen has been displayed all over my physical display and it just hang in this stage.

I have exited the startx using alt+ctrl+bs.

This has been done with no xorg.conf file.
Looking in the Xorg.0.log file, it seems that bothe the adapter and the display have been properly detected. However there are errors regarding all possible display resolutions in the log file.

At this stage I am not able to switch the graphical mode.

I am attaching my Xorg.0.log file.

Any help will be appreciated.

Thanks,
Itzik
Comment 7 Dominik 'Rathann' Mierzejewski 2009-03-01 03:08:59 EST
Have you tried the radeonhd driver? It should have better support for these cards.
Comment 8 Remy Maucherat 2009-03-11 20:39:46 EDT
For #6, the initial F10 does not support RV730. Add vga=795 to the boot line to use vesa, update, and it should work (only slightly faster than vesa ...).

I am using rawhide on my RV770, and with the very latest xorg-x11-drv-ati-6.11.0-7, both EXA and xv finally work, and everything is really really fast. Good job Dave. Of course, I can't test with the RV730 right now.

I know I will never get any answer after one month politely ignoring this BZ, but I'll ask anyway: is there any chance the R600+ support gets ported to F10 ?
Comment 9 Dave Airlie 2009-03-11 21:23:38 EDT
I wasn't ignoring it, I just wasn't able to do anything about it.

Now AMD have released the code, I've put in into rawhide thus fixing bugs.

However the code isn't ready for an F10 backport, maybe it will be by the time F11 ships, but not yet. It doesn't even suspend/resume properly yet.
Comment 10 Remy Maucherat 2009-03-16 09:30:13 EDT
I just tested rawhide with the RV730, and both EXA and XV are functional (no surprise). Speed is good. For whatever reason, there seems to be more tearing moving windows around than on the RV770.

Although it may not suspend/resume (I really don't see the point of suspend/resume personally ...), the current F10 driver looks really bad to me for R700.
Comment 11 Bug Zapper 2009-11-18 04:50:39 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-12-18 02:54:21 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.